# 8. Módosítás: „RasterMap” generálása

Generálja a "RasterMap"-et a "Field" számára.

{% hint style="info" %}
A végrehajtási idő változó (4 másodperctől 5 percig), ez a feldolgozandó képek számától és a mező területétől függ, és az előfizetés a "RasterMap" sikeres létrehozása után lesz megkapva.
{% endhint %}

{% hint style="danger" %}
Azt javasoljuk, hogy használja a **aszinchrón** megközelítést a RastetMap generálásához
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation GenerateRasterMap {
  generateRasterAnalysisMap(input: {
    fieldUuid: "<placeholder_of_field_uuid>"
    satelliteImageUuids: [
      "<placeholder_of_satelliteimage_uuid_1>",  
      "<helyőrző_satelitkép_uuid_2>"
    ]
    index: NDVI
  }) {    
    uuid
    fieldUuid
    név
    centroid {
      szélességi (latitude)
      hosszúsági (longitude)
    }
    boundingBox
    geoMaps {
      rövidNév
      teljesNév
      url
      osztályok
      hexSzínkódok
    }
    status
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/hu/api-dokumentacio/geopard-api-keresek-attekintese/8.-modositas-rastermap-generalasa.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
